Package com.xebialabs.xlrelease.domain.delivery

## Class SubscriptionResult

- java.lang.Object
- - com.xebialabs.xlrelease.domain.delivery.SubscriptionResult

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class SubscriptionResult
      extends java.lang.Object
      implements scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubscriptionResult​(SubscriptionStatus status, java.lang.String message)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SubscriptionResult` | `apply​(SubscriptionStatus status, java.lang.String message)` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `static SubscriptionResult` | `completed​(java.lang.String message)` |
    `SubscriptionResult` | `copy​(SubscriptionStatus status, java.lang.String message)` |
    `SubscriptionStatus` | `copy$default$1()` |
    `java.lang.String` | `copy$default$2()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `static SubscriptionResult` | `failed​(java.lang.String message)` |
    `java.lang.String` | `getMessage()` |
    `SubscriptionStatus` | `getStatus()` |
    `int` | `hashCode()` |
    `static SubscriptionResult` | `inProgress​(java.lang.String message)` |
    `static java.lang.String` | `inProgress$default$1()` |
    `java.lang.String` | `message()` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `SubscriptionStatus` | `status()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple2<SubscriptionStatus,​java.lang.String>>` | `unapply​(SubscriptionResult x$0)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### SubscriptionResult

          public SubscriptionResult​(SubscriptionStatus status,
                                    java.lang.String message)

  - ### Method Detail

    - #### completed

          public static SubscriptionResult completed​(java.lang.String message)

    - #### failed

          public static SubscriptionResult failed​(java.lang.String message)

    - #### inProgress

          public static SubscriptionResult inProgress​(java.lang.String message)

    - #### inProgress$default$1

          public static java.lang.String inProgress$default$1()

    - #### apply

          public static SubscriptionResult apply​(SubscriptionStatus status,
                                                 java.lang.String message)

    - #### unapply

          public static scala.Option<scala.Tuple2<SubscriptionStatus,​java.lang.String>> unapply​(SubscriptionResult x$0)

    - #### status

          public SubscriptionStatus status()

    - #### message

          public java.lang.String message()

    - #### copy

          public SubscriptionResult copy​(SubscriptionStatus status,
                                         java.lang.String message)

    - #### copy$default$1

          public SubscriptionStatus copy$default$1()

    - #### copy$default$2

          public java.lang.String copy$default$2()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getStatus

          public SubscriptionStatus getStatus()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`